Subject: Git whatchanged --i-still-use-this breaks Jenkins GitSCM

From: <[email-masked]>
Date: Thu, 21 Aug 2025 09:59:36 -0400

The requirement to add --i-still-use-this for git whatchanged in 2.51.0 is
currently generating
errors in Jenkins GitSCM, which, unfortunately, still uses that command. I
have reported this
as an issue to that team.

It seems to me that we could have some .gitconfig option, maybe
core.ignoreDeprecations=true or core.iReallyMeanIt=true to suppress the
requirement
to provide this option on the CLI because of unintended consequences.

Note: There does not seem to be a way to add the option in Jenkins.

--Randall

--
Brief whoami: NonStop&UNIX developer since approximately
UNIX(421664400)
NonStop(211288444200000000)
-- In real life, I talk too much.